<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/mechenv.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/mechenv.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2005 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_MECHANICS_ATTRACTOR__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_MECHANICS_ATTRACTOR__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00024"></a>00024 <span class="comment">// Environmental objects.</span>
<a name="l00026"></a>00026 <span class="comment"></span>
<a name="l00027"></a>00027 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00028"></a>00028 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/csobject_8h.html">csutil/csobject.h</a>&quot;</span>
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="keyword">struct </span><a class="code" href="structiPcSolid.html" title="A solid representation of an entity.">iPcSolid</a>;
<a name="l00032"></a>00032 <span class="keyword">class </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>;
<a name="l00033"></a>00033 
<a name="l00044"></a><a class="code" href="structiPcEnvAttractor.html">00044</a> <span class="keyword">struct </span><a class="code" href="structiPcEnvAttractor.html" title="A property class representing an attractor or a repulsor.">iPcEnvAttractor</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00045"></a>00045 {
<a name="l00046"></a>00046   SCF_INTERFACE (<a class="code" href="structiPcEnvAttractor.html" title="A property class representing an attractor or a repulsor.">iPcEnvAttractor</a>, 0, 0, 1);
<a name="l00047"></a>00047 
<a name="l00052"></a>00052   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcEnvAttractor.html#aed0dd1cb70e6f07ddd103917aaf02a3a" title="Set the magnitude of the force at the center of the attractor.">SetStrengthAtCenter</a> (<span class="keywordtype">float</span> strength) = 0;
<a name="l00056"></a>00056   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcEnvAttractor.html#a68de162002662b2b63251de4512ec49c" title="Get magnitude of the force at the center of the attractor.">GetStrengthAtCenter</a> () = 0;
<a name="l00057"></a>00057 
<a name="l00061"></a>00061   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcEnvAttractor.html#aae579d3d5d0b11eaf34200c936467458" title="Set the maximum radius of the attractor&#39;s field.">SetMaxRadius</a> (<span class="keywordtype">float</span> radius) = 0;
<a name="l00065"></a>00065   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcEnvAttractor.html#ad0754b63d96cb7815378102cafc2f4be" title="Get the maximum radius of the attractor&#39;s field.">GetMaxRadius</a> () = 0;
<a name="l00066"></a>00066 };
<a name="l00067"></a>00067 
<a name="l00068"></a>00068 
<a name="l00072"></a><a class="code" href="classcelEnvFluid.html">00072</a> <span class="keyword">class </span><a class="code" href="classcelEnvFluid.html" title="A class implementing a fluid in a sector.">celEnvFluid</a> : <span class="keyword">public</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationExt1.html">scfImplementationExt1</a>&lt;
<a name="l00073"></a>00073         celEnvFluid, csObject, scfFakeInterface&lt;celEnvFluid&gt; &gt;
<a name="l00074"></a>00074 {
<a name="l00075"></a>00075 <span class="keyword">public</span>:
<a name="l00076"></a>00076   SCF_INTERFACE (<a class="code" href="classcelEnvFluid.html" title="A class implementing a fluid in a sector.">celEnvFluid</a>, 0, 0, 1);
<a name="l00077"></a>00077 
<a name="l00078"></a>00078   <a class="code" href="classcelEnvFluid.html" title="A class implementing a fluid in a sector.">celEnvFluid</a> () : scfImplementationType (<span class="keyword">this</span>) { }
<a name="l00079"></a>00079   <span class="keyword">virtual</span> ~<a class="code" href="classcelEnvFluid.html" title="A class implementing a fluid in a sector.">celEnvFluid</a> () { }
<a name="l00080"></a>00080 
<a name="l00084"></a><a class="code" href="classcelEnvFluid.html#a0bd1c1e0f6eea07f22c0f620268fef47">00084</a>   <span class="keywordtype">float</span> <a class="code" href="classcelEnvFluid.html#a0bd1c1e0f6eea07f22c0f620268fef47" title="The density of the fluid in this sector.">density</a>;
<a name="l00088"></a><a class="code" href="classcelEnvFluid.html#aa2e06e50ec592d1978dc14a9f22e4018">00088</a>   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="code" href="classcelEnvFluid.html#aa2e06e50ec592d1978dc14a9f22e4018" title="The velocity of fluid flow in this sector.">flow</a>;
<a name="l00089"></a>00089 };
<a name="l00090"></a>00090 
<a name="l00094"></a><a class="code" href="classcelEnvGravity.html">00094</a> <span class="keyword">class </span><a class="code" href="classcelEnvGravity.html" title="A class implementing gravity in a sector.">celEnvGravity</a> : <span class="keyword">public</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationExt1.html">scfImplementationExt1</a>&lt;
<a name="l00095"></a>00095         celEnvGravity, csObject, scfFakeInterface&lt;celEnvGravity&gt; &gt;
<a name="l00096"></a>00096 {
<a name="l00097"></a>00097 <span class="keyword">public</span>:
<a name="l00098"></a>00098   SCF_INTERFACE (<a class="code" href="classcelEnvGravity.html" title="A class implementing gravity in a sector.">celEnvGravity</a>, 0, 0, 1);
<a name="l00099"></a>00099 
<a name="l00100"></a>00100   <a class="code" href="classcelEnvGravity.html" title="A class implementing gravity in a sector.">celEnvGravity</a> () : scfImplementationType (<span class="keyword">this</span>) { }
<a name="l00101"></a>00101   <span class="keyword">virtual</span> ~<a class="code" href="classcelEnvGravity.html" title="A class implementing gravity in a sector.">celEnvGravity</a> () { }
<a name="l00102"></a>00102 
<a name="l00106"></a><a class="code" href="classcelEnvGravity.html#a3932e582dc45621e7b1324347c18ca4d">00106</a>   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="code" href="classcelEnvGravity.html#a3932e582dc45621e7b1324347c18ca4d" title="The acceleration due to gravity in this sector.">gravity</a>;
<a name="l00107"></a>00107 };
<a name="l00108"></a>00108 
<a name="l00109"></a>00109 <span class="preprocessor">#endif // __CEL_PF_MECHANICS_ATTRACTOR__</span>
<a name="l00110"></a>00110 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
